# Copyright (c) 2004-2007 Erez Zadok
# Copyright (c) 2004-2007 Stony Brook University
# Copyright (c) 2004-2007 The Research Foundation of State University of New York
# Copyright (c) 2004-2007 Nikolai Joukov
# Copyright (c) 2006-2007 Gopala Surya

#/bin/sh
#
# USAGE: doit.sh compiled_trace_name
#
if [ $# -ne 1 ]; then
  echo "Usage: $0 compiled_trace_name"
  echo "Ex.: $0 am-utils-compilation "
  exit 1
fi

FILE=$1
DIR=/tmp
REPLAY_DIR=/n/tracefs-upper
\rm -rf REPLAY_DIR/*
#rm -f /tmp/replayfs_jitter/
#insmod measure_jitter.ko
time /sbin/insmod trfs_replay.ko replay_mntpoint=$REPLAY_DIR replay_file=$DIR/$FILE.log.rep b_compare_data=1 fist_debug_var=0
/sbin/rmmod trfs_replay
#cat /proc/fs_replayfs_jitter > /tmp/replayfs_jitter
#rmmod measure_jitter

